<?php
    $db = mysqli_connect("localhost", "root", "", "remonty");
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Remonty</title>
    <link rel="stylesheet" href="styl.css">
</head>
<body>
<header>
    <h1>Malowanie i gipsowanie</h1>
</header>
<main>
    <nav>
        <a href="kontakt.html">Kontakt</a>
        <a href="https://remonty.pl" target="_blank">Partnerzy</a>
    </nav>
    <aside>
        <img src="tapeta_lewa.png" alt="usługi">
        <img src="tapeta_prawa.png" alt="usługi">
        <img src="tapeta_lewa.png" alt="usługi">
    </aside>
    <section id="section-left">
        <h2>Dla klientów</h2>
        <form action="" method="post">
            <label for="employee-count">Ilu co najmniej pracowników potrzebujesz?</label><br>
            <input type="number" name="employee-count" id="employee-count">
            <button type="submit">Szukaj firm</button>
        </form>
        <?php
            if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['employee-count'])) {
                $employeeCount = htmlspecialchars($_POST['employee-count']);
                $sql1 = "SELECT nazwa_firmy, liczba_pracownikow FROM wykonawcy WHERE liczba_pracownikow >= $employeeCount;";
                $result1 = mysqli_query($db, $sql1);
                while ($row = mysqli_fetch_assoc($result1)) {
                    echo "<p>{$row['nazwa_firmy']}, {$row['liczba_pracownikow']} pracowników</p>";
                }
            }
        ?>
    </section>
    <section id="section-center">
        <h2>Dla wykonawców</h2>
        <form action="" method="post">
            <select name="miasto" id="miasto">
                <?php
                $sql2 = "SELECT DISTINCT miasto FROM klienci ORDER BY miasto;";
                $result2 = mysqli_query($db, $sql2);
                while ($row = mysqli_fetch_assoc($result2)) {
                    echo "<option value='{$row['miasto']}'>{$row['miasto']}</option>";
                }
                ?>
            </select><br>
            <input type="radio" name="options" id="malowanie" value="malowanie">
            <label for="malowanie">malowanie</label><br>
            <input type="radio" name="options" id="gipsowanie" value="gipsowanie">
            <label for="gipsowanie">gipsowanie</label><br>

            <button type="submit">Szukaj klientów</button>
        </form>
        <ul>
            <?php
            if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['options'])) {
                $city = htmlspecialchars($_POST['miasto']);
                $options = htmlspecialchars($_POST['options']);
                $sql3 = "SELECT imie,cena FROM klienci JOIN zlecenia USING(id_klienta) WHERE miasto = '$city' AND rodzaj = '$options';";
                $result3 = mysqli_query($db, $sql3);
                while ($row = mysqli_fetch_assoc($result3)) {
                    echo "<li>{$row['imie']} - {$row['cena']}</li>";
                }
            }
            ?>
        </ul>
    </section>

</main>
<footer>
    <p><b>Stronę wykonał: Jakub Grzegorczyk 3p/1</b></p>
</footer>
</body>
</html>
<?php
mysqli_close($db);